Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  Zugriff auf Listenelemente

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
  
Gut zu wissen: Hilfreiche Tipps und Tricks aus der Praxis prägnant, und auf den Punkt gebracht für Autodesk Produkte
Autor Thema:  Zugriff auf Listenelemente (187 mal gelesen)
archi2archi
Mitglied


Sehen Sie sich das Profil von archi2archi an!   Senden Sie eine Private Message an archi2archi  Schreiben Sie einen Gästebucheintrag für archi2archi

Beiträge: 2
Registriert: 06.07.2022

erstellt am: 06. Jul. 2022 18:59    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Forumer,

da mir nach Monaten der Programmierpause wieder die Routine fehlt: bitte um kurze Hilfe beim Zugriff auf die Daten.

((-1 . <Objektname: 1f94c4719c0> ) (0 . "DICTIONARY") (5 . "5BC4") (102 . "{ACAD_REACTORS") (330 . <Objektname: 1f94c4719b0> ) (102 . "}") (330 . <Objektname: 1f94c4719b0> ) (100 . "AcDbDictionary") (280 . 1) (281 . 1) (3 . "FMATTRIBS") (360 . <Objektname: 1f94c4719d0> ) (3 . "IFCPROPERTIES") (360 . <Objektname: 1f94c4719e0> ))

Für die ERSTE (360 . - Liste:
(entget (cdr (assoc 360 (entget (cdr (assoc 360 (entget (cdr (assoc 360 (entget (entlast)))))))))))

Und für die ZWEITE (360 . -Liste: ?

Vielen Dank

archi2archi

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Brischke
Moderator
CAD on demand GmbH




Sehen Sie sich das Profil von Brischke an!   Senden Sie eine Private Message an Brischke  Schreiben Sie einen Gästebucheintrag für Brischke

Beiträge: 4169
Registriert: 17.05.2001

AutoCAD 20XX, defun-tools (d-tools.eu)

erstellt am: 06. Jul. 2022 19:03    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für archi2archi 10 Unities + Antwort hilfreich

… wenn es nur die 2 360er Einträge gibt, dann mach ein Reverse der Liste und rufst das gleiche nochmal au. Sollte funktionieren, da ja nach dem Reverse das 2. als erstes steht.

Grüße!
Holger

------------------
Holger Brischke
CAD on demand GmbH
Individuelle Lösungen von Heute auf Morgen.


defun-tools Das Download-Portal für AutoCAD-Zusatzprogramme!


Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Meldin
Mitglied



Sehen Sie sich das Profil von Meldin an!   Senden Sie eine Private Message an Meldin  Schreiben Sie einen Gästebucheintrag für Meldin

Beiträge: 369
Registriert: 15.07.2011

erstellt am: 07. Jul. 2022 07:37    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für archi2archi 10 Unities + Antwort hilfreich

Hallo,
oder so etwas in der Art ginge auch.
Code:
(nth 1
    (vl-remove-if-not
      '(lambda (x) (= 360 (car x)))
      (entget (car (entsel)))
    )
)

------------------
Gruß Wolfgang

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

joern bosse
Ehrenmitglied
Dipl.-Ing. Vermessung


Sehen Sie sich das Profil von joern bosse an!   Senden Sie eine Private Message an joern bosse  Schreiben Sie einen Gästebucheintrag für joern bosse

Beiträge: 1729
Registriert: 11.10.2004

Window 10
ACAD 2021
CIVIL 2021
BricsCAD V14-V22
Intel(R) Core(TM)i5-8250U CPU @ 1.60GHz 1.80 GHz
16.0GB RAM
NVIDIA GeForce GTX 1050<P>

erstellt am: 07. Jul. 2022 08:01    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für archi2archi 10 Unities + Antwort hilfreich

Hier nochmal Wolfgangs Vorschlag ein bißchen erweitert, so dass als Rückgabe wieder eine Liste mit den jeweiligen, entgetteten 360er-Objekten:

Code:

(if (not
      (setq gc360List
            (mapcar 'entget
              (mapcar 'cdr
                (vl-remove-if-not
                  '(lambda (x) (= 360 (car x)))
                  (entget (car (nentsel)))
                  )
                )
              )
            )
      )
  (alert "Keine 360er-Gruppencodes vorhanden.")
  gc360List)

------------------
viele Grüße

Jörn
http://www.bosse-engineering.com

Bosse_tools-Überblick

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP



Fachkraft / Spezialist im Bereich Geoinformationssysteme / Geodatenmanagement (w/m/d)

Das Ingenieurbüro E. Schulz GmbH ist ein inhabergeführtes Unternehmen und seit über 20 Jahren tätig. Wir begleiten den gesamten Ablauf einer Baumaßnahme. Beginnend bei der fachlichen Beratung über Entwurfs- und Ausführungsplanung bis hin zu Bauleitung, Prüfung und Baustellendokumentation. Unsere Fachbereiche erstrecken sich über das gesamte Spektrum öffentlicher und privater Maßnahmen im Tief-, Straßen- und Hochbau....

Anzeige ansehenGeowissenschaften
archi2archi
Mitglied


Sehen Sie sich das Profil von archi2archi an!   Senden Sie eine Private Message an archi2archi  Schreiben Sie einen Gästebucheintrag für archi2archi

Beiträge: 2
Registriert: 06.07.2022

erstellt am: 07. Jul. 2022 08:56    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Holger,

die einfachen Dinge versüßen das Leben!
In Dynamo ist reverse ja auch oft die Lösung.

Vielen Dank

archi2archi

[Diese Nachricht wurde von archi2archi am 07. Jul. 2022 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2022 CAD.de | Impressum | Datenschutz